Description

Hi,

I am not able to provision a VM to an oVirt backend.

SSH provision script is never executed because Foreman can't SSH to new host:

2016-06-16T14:49:35 [app] [W] Failed to login via SSH to test-ovirt.qt.cls.fr: ERF42-1994 [Foreman

::Exception]: Unable to find proper authentication method

 | Foreman::Exception: ERF42-1994 [Foreman::Exception]: Unable to find proper authentication metho

d

 | /usr/share/foreman/app/models/concerns/orchestration/ssh_provision.rb:53:in `setSSHWaitForRespo

nse'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:162:in `execute'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:107:in `block in process'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:99:in `each'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:99:in `process'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:39:in `post_commit'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:429:in `block in make_lambda'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:256:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:256:in `block in simple'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:503:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:503:in `block in call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:503:in `each'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:503:in `call'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.r

b:86:in `run_callbacks'

 | /usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-4.1.14.2/lib/active_record/transactions.

rb:296:in `committed!'

 FYI, same script is correctly executed on VM deployed to vSphere.

Actually, Foreman is trying to connect to new VM too early, before VM ends booting and network is up.

On my previous oVirt installation with earlier Foreman version (<1.11.2), it was working well.

Thanks for your help.

History
#1 - 06/17/2016 03:13 AM - Dominic Cleal

- Status changed from New to Feedback

The image probably needs the built-in password setting in Compute Resources > your oVirt CR > Images, edit the image and set the password again.

I've added some info to ERF42-1994 too which may be useful.

#2 - 06/17/2016 03:29 AM - Lionel Beard

No, still the same error.

I've just checked again, I get the error in production.log file when the VM is still booting (double arrow) in oVirt interface.

There is an issue with VM boot process detection with oVirt compute resource.

#3 - 06/17/2016 03:33 AM - Dominic Cleal

The error occurs when SSH credentials are missing, and if they're missing then Foreman can't SSH to the host to check if it's booted or not. It won't

wait because it will be unable to log in.

You could add debug to the setSSHWaitForResponse method in app/models/concerns/orchestration/ssh_provision.rb if you wish, particularly to log

the contents of "image" and "image.password", but I'd expect for it to confirm that the password is absent. The first two conditions (keypair and VM

password) are probably not relevant for oVirt.

#4 - 06/17/2016 05:47 AM - Lionel Beard

Ok, it is working this morning. I have restarted foreman process this morning after resetting image password, now it is fine.

Thanks!

#5 - 06/17/2016 05:49 AM - Dominic Cleal

- Status changed from Feedback to Resolved

Thanks for confirming.
